Mailinglist Archive: yast-devel (53 mails)

< Previous Next >
Re: [yast-devel] [RFC] make Builtins.y2milestone(), y2...() obsolete?
On Tue, 25 Feb 2014 11:43:01 +0100
Ladislav Slezak <lslezak@xxxxxxx> wrote:

Dne 25.2.2014 10:10, Arvin Schnell napsal(a):
On Tue, Feb 04, 2014 at 11:16:27AM +0100, Ladislav Slezak wrote:

another change in yast2-ruby-bindings-3.1.7 is a new
Yast::Logger module which wraps Y2Logger mentioned in the
previous mail.

The latest version of yast2-storage doesn't build on openSUSE
12.3 anymore and it seems to be due to the new logging:

Client call failed with 'undefined method `synchronize' for
#<Mutex:0x00000000fa0eb0>' and backtrace
["/usr/lib64/ruby/1.9.1/singleton.rb:139:in `instance'",

IIRC I have already seen this error and Josef fixed that for Ruby 2.0
so it seems there is Ruby 1.9 vs. 2.0 incompatibility.

In fact there was hack for 1.9 which breaks 2.0 compatibility, so I
removed it. So ruby bindigns have problem to run with ruby 1.9.


So please either fix the issue or remove openSUSE 12.3 from
YaST:Head.

I'd remove 12.3 from YaST:Head as it seems it cannot be simply fixed
in 12.3, 13.1 and Factory all together. Josef?

I am not against, just we lost last place that allow us to easy point
user which want convert their modules from ycp to ruby?

Josef
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: yast-devel+owner@xxxxxxxxxxxx

< Previous Next >